package de.unikoblenz.fgbks.api.test;

import de.unikoblenz.fgbks.core.dmn.utils.DmnService;
import de.unikoblenz.fgbks.core.dmn.verification.VerificationService;
import javax.inject.Inject;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

@Path("/builder")
public class TestApi {

  private static Logger LOGGER = LoggerFactory.getLogger(TestApi.class.getSimpleName());

  @Inject private VerificationService verificationService;

  @GET
  @Produces(MediaType.APPLICATION_JSON)
  public Response helloBuilder() {
    return Response.accepted(verificationService.generate()).build();
  }

  @POST
  @Path("/test")
  @Produces(MediaType.TEXT_PLAIN)
  @Consumes(MediaType.TEXT_XML)
  public String xx(String payload) {
    DmnService dmnService = DmnService.getDmnServiceFromXml(payload);
    dmnService.x();
    return "yes";
  }
}
